ExpKeys.species = "mouse";
ExpKeys.genetics = "PV-Cre:Ai-32"; 
ExpKeys.subject_id = "M235";
ExpKeys.hemisphere = "Left";
ExpKeys.experimenter = "Manish";
ExpKeys.weight = 27.9; %in grams;
ExpKeys.probeDepth = 2.74; %in mm;
ExpKeys.date = "2021-07-16";
ExpKeys.target = "dStr";
ExpKeys.light_source = "Shanghai Dream LASER";
ExpKeys.wavelength = 473; %in nm;
ExpKeys.probeType = "NeuroNexus A4x2-tet";
ExpKeys.probeID = "V957";
ExpKeys.HSID = "";
ExpKeys.patch_cord_dia = 500; %in microns
ExpKeys.patch_cord_NA = 0.22;
ExpKeys.probe_fiber_dia = 100;
ExpKeys.probe_fiber_NA = 0.22;
ExpKeys.max_power = 30; %in mW
ExpKeys.output_power_calib = [0.5, 1, 2, 3, 4, 5, 6]; %in mW
ExpKeys.dial_values_calib = [4.56, 5, 5.5, 5.94, 6.24, 6.58, 6.78];
ExpKeys.dial_value = 5;
ExpKeys.stim_mode = "fixed ISI"; % if fixed then just used ISI, if variable then ISI is between 0-1500ms  
ExpKeys.ISI = 3; %in seconds
ExpKeys.short_stim_pulse_width = 0.001; %in seconds
ExpKeys.long_stim_pulse_width = 0.05; %in seconds

% NLX Digital codes
ExpKeys.pre_trial_stim_on 		= "TTL Input on AcqSystem1_0 board 0 port 2 value (0x0008).";
ExpKeys.trial_stim_on 			= "TTL Input on AcqSystem1_0 board 0 port 2 value (0x0010).";
ExpKeys.post_trial_stim_on 		= "TTL Input on AcqSystem1_0 board 0 port 2 value (0x0020).";
ExpKeys.long_stim_on 			= "TTL Input on AcqSystem1_0 board 0 port 2 value (0x0040).";
ExpKeys.stim_off				= "TTL Input on AcqSystem1_0 board 0 port 2 value (0x0000).";

% Start_Stop Times
ExpKeys.pre_baseline_times 		= [1626434026.470754, 1626434361.388454];
ExpKeys.pre_stim_times 			= [1626434361.388454, 1626434475.172208];
ExpKeys.stim_times 				= [1626434475.172208, 1626437552.704896];
ExpKeys.post_baseline_times 	= [1626437552.704896, 1626437906.134720];
ExpKeys.post_stim_times 		= [1626437906.134720, 1626438041.175135];
ExpKeys.long_stim_times			= [1626438041.175135, 1626438087.974648];
ExpKeys.recording_times			= [1626434026.470754, 1626438087.974648];

% Notes
ExpKeys.notes = "";
ExpKeys.isSpikeSorted = "No";
ExpKeys.isReferenceRecordedSeparately = "No";
ExpKeys.hasSpecialStim = "No";
ExpKeys.LFP_channels = {'LFP4.ncs','LFP6.ncs', 'LFP28.ncs', 'LFP30.ncs'};
ExpKeys.ref_channels = {};
ExpKeys.goodLFP = {'LFP6.ncs'};
ExpKeys.needsInterpolation = true;
ExpKeys.artifact_window = 0.0025; %in seconds
